@echo off
REM Test of batmouse.bat program, which
REM adds support toa a batch file.
REM Needs BATMOUSE.COM and FASTIN.COM
REM
REM BATMOUSE R returns the row of the last mouse click
REM BATMOUSE C returns the col of the last mouse click
REM The boxs below extend from col.7 to 34,
REM the first from rows 4 to 9,
REM and the second from rows 14 to 19.
CLS
ECHO.
ECHO.
ECHO         ͻ            
ECHO          Press 1 or click        
ECHO          in this box for option    
ECHO          number 1                             
ECHO                                                 
ECHO                                               
ECHO         ͽ               
ECHO.
ECHO.
ECHO         ͻ            
ECHO          Press 2 or click        
ECHO          in this box for option    
ECHO          number 2                             
ECHO                                                 
ECHO                                               
ECHO         ͽ               
REM 
REM Turn on the mouse after the screen is drawn
SET MOUSE=YES
BATMOUSE 1
IF ERRORLEVEL 255 SET MOUSE=NO
:LP
REM First check for a keystroke:
FASTIN
IF ERRORLEVEL 49 IF NOT ERRORLEVEL 50 GOTO CHOICE1
IF ERRORLEVEL 50 IF NOT ERRORLEVEL 51 GOTO CHOICE2
REM Now check for the mouse
IF "%MOUSE%" == "NO" GOTO quits
BATMOUSE C
REM Loop if no mouse click
IF NOT ERRORLEVEL 1 GOTO LP
REM Now trap mouse clicks in the wrong cols:
IF ERRORLEVEL 35 GOTO BAD_MOUSE
IF NOT ERRORLEVEL 7 GOTO BAD_MOUSE
REM Get the row value:
BATMOUSE R
REM Trap bad values or find chosen box:
IF ERRORLEVEL 20 GOTO LP
IF ERRORLEVEL 14 GOTO CHOICE2
IF ERRORLEVEL 10 GOTO LP
IF ERRORLEVEL 4 GOTO CHOICE1
GOTO LP
:BAD_MOUSE
REM We got here because a click was in the wrong
REM column.  Before looping back, we MUST clear
REM BATMOUSE by call function R.
BATMOUSE R
GOTO LP
REM For both choices, turn off BATMOUSE and then
REM do whatever handling the choice requires:
:CHOICE1
BATMOUSE 0
SET MOUSE=
CLS
@echo.
@echo.
@echo.
@echo.
ECHO You chose option number 1. It doesn't DO anything, but it just goes to
@Echo show you that you do not need to run Windows to have a mouse!
PAUSE
GOTO END
:CHOICE2
BATMOUSE 0
SET MOUSE=
CLS
@echo.
@echo.
@echo.
@echo.
ECHO You chose option number 2. It doesn't DO anything, but it just goes to
@Echo show you that you do not need to run Windows to have a mouse!
PAUSE
GOTO END
:quits
@ECHO 
@echo 
@echo.
@echo.
@echo.
@echo Sorry. I can't see a mouse or a Micro Sof... Sof... soft mouse driver!
pause
goto end
:END
SET MOUSE=
