@echo off
REM Test of batmouse.bat program, which
REM adds support toa a batch file.
REM Needs BATMOUSE.COM and FASTIN.COM
REM
REM BATMOUSE R returns the row of the last mouse click
REM BATMOUSE C returns the col of the last mouse click
REM The boxs below extend from col.7 to 34,
REM the first from rows 4 to 9,
REM and the second from rows 14 to 19.
CLS
ECHO.
ECHO         ͻ            
ECHO          EXIT  
ECHO         ͽ               
ECHO.
ECHO         ͻ            
ECHO         Press 1
ECHO         ͽ               
ECHO.
ECHO         ͻ            
ECHO         Press 2
ECHO         ͽ               
ECHO.
ECHO         ͻ            
ECHO         Press 3
ECHO         ͽ               
 

REM Turn on the mouse after the screen is drawn
SET MOUSE=YES
BATMOUSE 1
IF ERRORLEVEL 255 SET MOUSE=NO
:LP
REM First check for a keystroke:
FASTIN
IF ERRORLEVEL 49 IF NOT ERRORLEVEL 50 GOTO CHOICE1
IF ERRORLEVEL 50 IF NOT ERRORLEVEL 51 GOTO CHOICE2
REM Now check for the mouse
IF "%MOUSE%" == "NO" GOTO LP
BATMOUSE C
REM Loop if no mouse click
IF NOT ERRORLEVEL 1 GOTO LP
REM Now trap mouse clicks in the wrong cols:
IF ERRORLEVEL 35 IF NOT ERRORLEVEL 7 GOTO BAD_MOUSE
REM Get the row value:
BATMOUSE R
REM Trap bad values or find chosen box:
IF ERRORLEVEL 25 GOTO LP
IF ERRORLEVEL 12 GOTO CHOICE3 
IF ERRORLEVEL 22 GOTO LP
IF ERRORLEVEL 10 GOTO CHOICE2 
IF ERRORLEVEL 17 GOTO LP
IF ERRORLEVEL 7 GOTO CHOICE1
IF ERRORLEVEL 10 GOTO LP
IF ERRORLEVEL 2 GOTO exit1

GOTO LP
:BAD_MOUSE
REM We got here because a click was in the wrong
REM column.  Before looping back, we MUST clear
REM BATMOUSE by call function R.
BATMOUSE R
GOTO LP
REM For both choices, turn off BATMOUSE and then
REM do whatever handling the choice requires:
:exit1
BATMOUSE 0
SET MOUSE=
CLS
ECHO You chose to EXIT
GOTO END
:CHOICE1
BATMOUSE 0
SET MOUSE=
CLS
ECHO You chose option number 1   
PAUSE
GOTO END

:CHOICE2
BATMOUSE 0
SET MOUSE=
CLS
ECHO You chose option number 2
PAUSE
GOTO END
:CHOICE3
BATMOUSE 0
SET MOUSE=
CLS
ECHO You chose option number 3
PAUSE
GOTO END
:END
