'****************************************************************************
'****************************************************************************
'**  BATMOUSE.BAS Will make a .com file to run a mouse in a batch file.    **
'**  You can use DOS.6's CHOICE or use FASTIN.BAS TO create FASTIN.COM.    **
'**  You need both of these files to run a mouse in a batch file.          **
'**    Written By Gary Fletcher                                            **
'**                  1/25/94                                               **
'****************************************************************************
'****************************************************************************
DEFINT A-Z
CLS
PRINT "Creating BATMOUSE.COM"
OPEN "BATMOUSE.COM" FOR BINARY AS #1
Oneline$ = STRING$(8, 0)
READ Filelen
FOR Lp = 0 TO Filelen - 1
   READ Byte
   MID$(Oneline$, (Lp MOD 8) + 1, 1) = CHR$(Byte)
   IF Lp MOD 8 = 7 THEN
     READ Chksum
     FOR i = 1 TO 8
     Chksum = Chksum - ASC(MID$(Oneline$, i, 1))
   NEXT i
   IF Chksum <> 0 THEN
     PRINT : PRINT "DATA error in line"; (Lp \ 8) + 1
     CLOSE
     KILL "BATMOUSE.COM"       'If it fails then delete it.
     END
  END IF
   PUT #1, , Oneline$       ' If not, then create file.
   Oneline$ = STRING$(8, 0)
  END IF
NEXT Lp
CLOSE
PRINT "BATMOUSE.COM successfully created!"
END

'<><><><><><><><><><><><><> DATA SECTION. <><><><><><><><><><><><><><><><><><>

DATA 200
DATA 232,  38,   0, 184,  64,   0, 142, 192,  852
DATA 190, 240,   0, 160,  93,   0, 138,  38,  859
DATA  94,   0, 128, 252,  32, 117,  39,  60,  722
DATA  49, 116,  41,  60,  48, 116,  54,  60,  544
DATA  82, 116,  55,  60,  67, 116,  51, 235,  782
DATA  21, 184,  51,  53, 205,  33, 140, 192,  879
DATA  11, 195, 116,  10, 184,  36,   0, 205,  757
DATA  51,  10, 237, 116,   1, 195, 176, 255, 1041
DATA 180,  76, 205,  33,  43, 192, 205,  51,  985
DATA  64, 117, 243,  64, 205,  51, 232,  17,  993
DATA   0, 176,   0, 235, 235, 184,   2,   0,  832
DATA 235, 242, 232,  17,   0, 232,  52,   0, 1010
DATA 235, 222,  38, 199,   4, 255, 255,  38, 1246
DATA 199,  68,   2, 255, 255, 195,  38, 139, 1151
DATA  12,  38, 139,  84,   2, 232, 234, 255,  996
DATA 131, 249, 255, 117,   6, 131, 250, 255, 1394
DATA 117,   1, 195, 160,  93,   0,  60,  67,  693
DATA 117,   6, 138, 193, 254, 192, 235, 176, 1311
DATA 138, 194, 235, 248, 184,   5,   0, 187, 1191
DATA   0,   0, 205,  51,  11, 219, 117,   4,  607
DATA  42, 192, 235, 156, 184,  64,   0, 142, 1015
DATA 192, 190, 240,   0, 179,   8, 139, 193, 1141
DATA 246, 243, 139, 200, 139, 194, 246, 243, 1650
DATA 139, 208,  38, 137,  12,  38, 137,  84,  793
DATA   2, 235, 192,   0,   0,   0,   0,   0,  429

