@echo off
REM Test of batmouse.bat program, which
REM adds support toa a batch file.
REM Needs BATMOUSE.COM and FASTIN.COM
REM
REM BATMOUSE R returns the row of the last mouse click
REM BATMOUSE C returns the col of the last mouse click
REM The boxs below extend from col.7 to 34,
REM the first from rows 4 to 9,
REM and the second from rows 14 to 19.
CLS
@echo.
@echo.
@echo.
@echo.
@echo.
@echo.
@echo.
@echo                       a   b   c
@echo                      
@echo                       d   e   f
@echo                      
@echo                       g   h   i
@echo.

rem ECHO.
rem ECHO         ͻ            
rem ECHO          EXIT  
rem ECHO         ͽ               
rem ECHO.
rem ECHO         ͻ            
rem ECHO         Press 1
rem ECHO         ͽ               
rem ECHO.
rem ECHO         ͻ            
rem ECHO         Press 2
rem ECHO         ͽ               
rem ECHO.
rem ECHO         ͻ            
rem ECHO         Press 3
rem ECHO         ͽ               
 

REM Turn on the mouse after the screen is drawn
SET MOUSE=YES
BATMOUSE 1
IF ERRORLEVEL 255 SET MOUSE=NO
REM First check for a keystroke:
rem COPY INPUT4.ASC+CON $$4.BAT >NUL
rem call $$4
REM Now check for the mouse
:LP

IF "%MOUSE%" == "NO" GOTO quits
BATMOUSE C
REM Loop if no mouse click
IF NOT ERRORLEVEL 1 GOTO LP
REM Now trap mouse clicks in the wrong cols:
IF ERRORLEVEL 35 IF NOT ERRORLEVEL 7 GOTO BAD_MOUSE
REM Get the row value:
BATMOUSE R
REM Trap bad values or find chosen box:
IF ERRORLEVEL 25 GOTO LP
IF ERRORLEVEL 12 GOTO CHOICE3 
IF ERRORLEVEL 22 GOTO LP
IF ERRORLEVEL 10 GOTO CHOICE2 
IF ERRORLEVEL 17 GOTO LP
IF ERRORLEVEL 7 GOTO CHOICE1
IF ERRORLEVEL 10 GOTO LP
IF ERRORLEVEL 2 GOTO LP

GOTO LP
:BAD_MOUSE
REM We got here because a click was in the wrong
REM column.  Before looping back, we MUST clear
REM BATMOUSE by call function R.
BATMOUSE R
GOTO LP
REM For both choices, turn off BATMOUSE and then
REM do whatever handling the choice requires:
:CHOICE1
CLS
@echo.
@echo.
@echo.
@echo.
@echo.
@echo.
@echo.
@echo                       X   b   c
@echo                      
@echo                       d   O   f
@echo                      
@echo                       g   h   i
@echo.
GOTO quits

:CHOICE2
CLS
@echo.
@echo.
@echo.
@echo.
@echo.
@echo.
@echo.
@echo                       a   b   c
@echo                      
@echo                       X   O   f
@echo                      
@echo                       g   h   i
@echo.
GOTO quits

:CHOICE3
CLS
@echo.
@echo.
@echo.
@echo.
@echo.
@echo.
@echo.
@echo                       a   b   c
@echo                      
@echo                       d   O   f
@echo                      
@echo                       X   h   i
@echo.
GOTO quits

:quits
@echo Quits!
if exist $$.bat del $$.bat >nul
if exist $$1.bat del $$1.bat >nul
if exist $$2.bat del $$2.bat >nul
if exist $$3.bat del $$3.bat >nul
if exist $$4.bat del $$4.bat >nul
SET INTYP1=
SET INTYP=
SET INTYP2=
SET INTYP3=
SET INTYP4=
BATMOUSE 0
SET MOUSE=

