'****************************************************************************
'****************************************************************************
'**  FASTIN.BAS Will make a .com file using the built in machine assembler **
'**  This one is set up to return an error level getting a keyboard input. **
'**  Change to the DATA statements to make any .com file you want.         **
'**  Data can be obtained though books, magazines ect...                   **
'**  By Gary Fletcher  1/25/94                                             **
'****************************************************************************
'****************************************************************************
DEFINT A-Z
CLS
PRINT "Creating FASTIN.COM"
OPEN "FASTIN.COM" FOR BINARY AS #1
Oneline$ = STRING$(8, 0)
READ Filelen
FOR Lp = 0 TO Filelen - 1
   READ Byte
   MID$(Oneline$, (Lp MOD 8) + 1, 1) = CHR$(Byte)
   IF Lp MOD 8 = 7 THEN
     READ Chksum
     FOR i = 1 TO 8
     Chksum = Chksum - ASC(MID$(Oneline$, i, 1))
   NEXT i
   IF Chksum <> 0 THEN
     PRINT : PRINT "DATA error in line"; (Lp \ 8) + 1
     CLOSE
     KILL "FASTIN.COM"       'If it fails then delete it.
     END
  END IF
   PUT #1, , Oneline$       ' If not, then create file.
   Oneline$ = STRING$(8, 0)
  END IF
NEXT Lp
CLOSE
PRINT "FASTIN.COM successfully created!"
END

'<><><><><><><><><><><><><> DATA SECTION. <><><><><><><><><><><><><><><><><><>

DATA 32
DATA 180,   1, 205,  22, 116,  18,  42, 228, 812
DATA 205,  22,  60,  97, 114,   6,  60, 122, 686
DATA 119,   2,  44,  32, 180,  76, 205,  33, 691
DATA  42, 192, 235, 248,   0,   0,   0,   0, 717


